import type { CurveFactory, CurveBundleFactory, CurveCardinalFactory, CurveCatmullRomFactory, CurveGenerator, Path } from "d3";
type CurveFunction = CurveFactory | CurveBundleFactory | CurveCardinalFactory | CurveCatmullRomFactory;
type CurveName = "basis" | "basis-closed" | "basis-open" | "bundle" | "bump-x" | "bump-y" | "cardinal" | "cardinal-closed" | "cardinal-open" | "catmull-rom" | "catmull-rom-closed" | "catmull-rom-open" | "linear" | "linear-closed" | "monotone-x" | "monotone-y" | "natural" | "step" | "step-after" | "step-before";
export declare function Curve(curve?: CurveName | CurveFunction, tension?: number): CurveFunction;
export declare function PathCurve(curve?: CurveName | CurveFunction, tension?: number): CurveFunction;
export declare function curveAuto(context: CanvasRenderingContext2D | Path): CurveGenerator;
export {};
